#version 320

precision highp float;

layout(binding=0) uniform BlockVertex {
	vec4 vParam;
};

layout(location = 0) in vec4 VertexCoord;
layout(location = 1) in vec2 TextureCoord;
layout(location = 2) in vec4 Color;

out vec2 texCoord;
out vec2 vTextureCoord0;
out vec2 vTextureCoord1;
out vec2 vTextureCoord2;
out vec2 vTextureCoord3;

void main()
{
	gl_Position = vec4(VertexCoord.xy, 0.0, 1.0);
	
	texCoord = TextureCoord;
	vTextureCoord0 = TextureCoord - vec2(vParam.x, vParam.y);
	vTextureCoord1 = TextureCoord + vec2(vParam.x, -vParam.y);
	vTextureCoord2 = TextureCoord + vec2(-vParam.x, vParam.y);
	vTextureCoord3 = TextureCoord + vec2(vParam.x, vParam.y);
}
